<?php
namespace Company\Fixture;



class Company extends \Fixture\Service\Fixture
{

	static public function build()
	{
		parent::addStack('\Company\Entity\Company', array(
				'Company.ImperialSeller' => array(
						'name'  => 'ImperialSeller',
						'region' => self::getReference('Region.Gauteng'),
						'city' => self::getReference('Town.Pretoria'),
						'contact' => self::getReference('Contact.Jack'),
						'postalCode'  => '0030',
						'street'  => 'Umgeni Street',
						'dealerType' => \Company\Entity\Company::DEALERTYPE_TRADER,
						'clientType' => \Company\Entity\Company::CLIENTTYPE_SELLER,
						'turmiNumber' => '7777',
						'group' => self::getReference('Group.Imperial'),
						'groupDivision' => self::getReference('GroupDivision.Hyundai'),
						'companyType' => \Company\Entity\Company::COMPANYTYPE_PTY_LTD,
						'priceGuide' => false,
						'tradeClub' => true
				),
				'Company.AmhSeller' => array(
						'name'  => 'AmhSeller',
						'region' => self::getReference('Region.Gauteng'),
						'city' => self::getReference('Town.Pretoria'),
						'postalCode'  => '0030',
						'street'  => 'Church Srteet',
						'dealerType' => \Company\Entity\Company::DEALERTYPE_TRADER,
						'clientType' => \Company\Entity\Company::CLIENTTYPE_SELLER,
						'turmiNumber' => '7777',
						'group' => self::getReference('Group.AMH'),
						'groupDivision' => self::getReference('GroupDivision.Mercedes'),
						'companyType' => \Company\Entity\Company::COMPANYTYPE_PTY_LTD,
						'priceGuide' => false,
						'tradeClub' => true
				),
				'Company.IndependantBuyer' => array(
						'name'  => 'IndependantBuyer',
						'region' => self::getReference('Region.Gauteng'),
						'city' => self::getReference('Town.Pretoria'),
						'postalCode'  => '0032',
						'street'  => 'Lenchen South',
						'dealerType' => \Company\Entity\Company::DEALERTYPE_TRADER,
						'clientType' => \Company\Entity\Company::CLIENTTYPE_BUYER,
						'turmiNumber' => '',
						'group' => self::getReference('Group.Independant'),
						'groupDivision' => self::getReference('GroupDivision.Independant'),
						'companyType' => \Company\Entity\Company::COMPANYTYPE_PTY_LTD,
						'priceGuide' => false,
						'tradeClub' => true
				),
				'Company.Dave' => array(
						'name'  => 'Dave\'s Dealership',
						'region' => self::getReference('Region.Gauteng'),
						'city' => self::getReference('Town.Pretoria'),
						'contact' => self::getReference('Contact.Dave'),
						'postalCode'  => '0032',
						'street'  => 'Lenchen South',
						'dealerType' => \Company\Entity\Company::DEALERTYPE_TRADER,
						'clientType' => \Company\Entity\Company::CLIENTTYPE_BUYER,
						'turmiNumber' => '7777',
						'group' => self::getReference('Group.Imperial'),
						'groupDivision' => self::getReference('GroupDivision.Cargo'),
						'companyType' => \Company\Entity\Company::COMPANYTYPE_PTY_LTD,
						'priceGuide' => false,
						'tradeClub' => true
				),
				'Company.Byron' => array(
						'name'  => 'Trade Center Dealership',
						'region' => self::getReference('Region.Gauteng'),
						'city' => self::getReference('Town.Pretoria'),
						'contact' => self::getReference('Contact.Byron'),
						'postalCode'  => '0032',
						'street'  => 'Lenchen South',
						'dealerType' => \Company\Entity\Company::DEALERTYPE_TRADE_CENTER,
						'clientType' => \Company\Entity\Company::CLIENTTYPE_BUYER,
						'turmiNumber' => '7777',
						'group' => self::getReference('Group.Independant'),
						'groupDivision' => self::getReference('GroupDivision.Independant'),
						'companyType' => \Company\Entity\Company::COMPANYTYPE_PTY_LTD,
						'priceGuide' => false,
						'tradeClub' => true
				)
		));
	}

}