<?php
namespace Company\Service;



/**
 * Manage Company data.
 * @author andre.fourie
 */
class CompanyRetail extends \Company\DataBin\CompanyRetail
{



	/**
	 * ConditionalContract: Create.
	 * @param array $meta
	 * @param object|null $jobRecord
	 * @param object|null $record
	 * @param \Workspace\Contract\AbstractBase $contract
	 * @return array
	 */
	public function noDuplicateRetailEntries($meta, $jobRecord, $record, \Workspace\Contract\AbstractBase $contract)
	{
		$duplicate = $this->em
			->getRepository('\Company\Entity\CompanyRetail')
			->findOneBy(array(
				'company'  => $jobRecord->company->id,
				'retail'   => $jobRecord->retail->id,
				'archived' => false
			));
		if (!is_null($duplicate))
		{
			throw new \Exception('Found existing entry for this Retailer, only one account allowed per retailer.');
		}
	}


}