<?php
namespace Company;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

	/**
	 * @var string
	 */
	protected $namespace = __NAMESPACE__;
	/**
	 * @var string
	 */
	protected $parentFeature = false;
	/**
	 * @var string
	 */
	protected $initState    = 'This.New';
	/**
	 * @var string
	 */
	protected $initTrigger  = 'Company.Create';
	/**
	 * @var string
	 */
	protected $primaryEntity = 'Company';
	/**
	 * @var array
	 */
	protected $entityMap = array(
			'Company' => '\Company\Entity\Company'
	);
	/**
	 * @var array
	 */
	protected $linkMap = array();
	/**
	 * @var array
	 */
	protected $listen = array();
	/**
	 * @var array
	 */
	protected $reclaim = array();
	/**
	 * @var array
	 */
	protected $stateMap = array(
			'Global' => array(
				'Actions' => array(
					'Company.Grid'                  => array(),
					'Company.SelectGrid'            => array(),
					'Company.List'                  => array(),
					'Company.Create'                => array(),
					'Company.SelectList'            => array(),
					'Company.InviteSelectList'      => array(),
					'Company.TcDealerSelectList'    => array(),
					'Company.TradeCenterSelectList' => array(),
                    'Company.StockAuctionReportSelectList' => array(),
					'Group.SelectList'              => array(),
					'Group.JoinedSelectList'        => array(),
					'Group.List'                    => array(),
					'Group.Create'                  => array(),
					'Group.Update'                  => array(),
                    'Group.StockAuctionSelectList'                  => array(),
					'GroupDivision.SelectList'      => array(),
					'GroupDivision.JoinedSelectList' => array(),
					'GroupDivision.List'            => array(),
					'GroupDivision.Create'          => array(),
					'GroupDivision.Update'          => array(),
					'FoundMethod.SelectList'        => array(),
					'FoundMethodDetail.SelectList'  => array(),
					'CompanyRetail.SelectList'      => array(),
					'CompanyRetail.Grid'            => array(),
					'CompanyRetail.Create'          => array(),
					'CompanyRetail.Update'          => array()
				)
			),
			'New' => array(
				'Actions' => array(
					'Company.View'           => array(),
					'Company.AdminUpdate'    => array(),
					'Company.Update'         => array(),
					'Company.RemoveDocument' => array()
				),
				'Routes' => array(
					'Company.MoveToPending'    => array(
							'Destination' => 'This.Pending'
					),
					'Company.MoveToActive'    => array(
							'Destination' => 'This.Active'
					),
					'Workflow.MoveToSuspended'    => array(
							'Destination' => 'This.Suspended'
					),
					'Company.MoveToDeclined'    => array(
							'Destination' => 'This.Declined'
					),
					'Workflow.MoveToArchive'    => array(
							'Destination' => 'This.Archived'
					)
				)
			),
			'Pending' => array(
				'Actions' => array(
					'Company.View'           => array(),
					'Company.AdminUpdate'    => array(),
					'Company.Update'         => array(),
					'Company.RemoveDocument' => array()
				),
				'Routes' => array(
					'Company.MoveToActive'    => array(
							'Destination' => 'This.Active'
					),
					'Workflow.MoveToSuspended'    => array(
							'Destination' => 'This.Suspended'
					),
					'Company.MoveToDeclined'    => array(
							'Destination' => 'This.Declined'
					),
					'Workflow.MoveToArchive'    => array(
							'Destination' => 'This.Archived'
					)
				)
			),
			'Active' => array(
				'Actions' => array(
					'Company.View'           => array(),
					'Company.Update'         => array(),
					'Company.AdminUpdate'    => array(),
					'Company.RemoveDocument' => array()
				),
				'Routes' => array(
					'Workflow.MoveToSuspended'    => array(
							'Destination' => 'This.Suspended'
					),
					'Company.MoveToDeclined'    => array(
							'Destination' => 'This.Declined'
					),
					'Workflow.MoveToArchive'    => array(
							'Destination' => 'This.Archived'
					)
				)
			),
			'Suspended' => array(
				'Actions' => array(
					'Company.View'           => array(),
					'Company.AdminUpdate'    => array(),
					'Company.Update'         => array(),
					'Company.RemoveDocument' => array()
				),
				'Routes' => array(
					'Company.MoveToPending'    => array(
							'Destination' => 'This.Pending'
					),
					'Workflow.MoveToActive'    => array(
							'Destination' => 'This.Active'
					),
					'Workflow.MoveToDeclined'    => array(
							'Destination' => 'This.Declined'
					),
					'Workflow.MoveToArchive'    => array(
							'Destination' => 'This.Archived'
					)
				)
			),
			'Declined' => array(
				'Actions' => array(
					'Company.View'           => array(),
					'Company.AdminUpdate'    => array(),
					'Company.Update'         => array(),
					'Company.RemoveDocument' => array()
				),
				'Routes' => array(
					'Company.MoveToPending'    => array(
							'Destination' => 'This.Pending'
					),
					'Company.MoveToActive'    => array(
							'Destination' => 'This.Active'
					),
					'Workflow.MoveToSuspended'    => array(
							'Destination' => 'This.Suspended'
					),
					'Workflow.MoveToArchive'    => array(
							'Destination' => 'This.Archived'
					)
				)
			),
			'Archived' => array(
				'Actions' => array(
					'Company.View'           => array(),
					'Company.AdminUpdate'    => array(),
					'Company.Update'         => array(),
					'Company.RemoveDocument' => array()
				),
				'Routes' => array(
					'Workflow.MoveToActive' => array(
							'Destination' => 'This.Active'
					)
				)
			)
	);


}